# Class SystemPropertySource

java.lang.Object
org.apache.tomcat.util.digester.SystemPropertySource

All Implemented Interfaces:
  `IntrospectionUtils.PropertySource`

public class SystemPropertySource extends Object implements IntrospectionUtils.PropertySource
A `IntrospectionUtils.PropertySource` that uses system properties to resolve expressions. This property source is always active by default.

See Also:
  - `Digester`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemPropertySource()`
  Constructs a new SystemPropertySource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProperty(String key)`
  Returns the value of the property with the specified key.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SystemPropertySource

    public SystemPropertySource()
    Constructs a new SystemPropertySource.

- ## Method Details

  - ### getProperty

    public String getProperty(String key)
    Description copied from interface: `IntrospectionUtils.PropertySource`
    Returns the value of the property with the specified key.
    Specified by:
      `getProperty` in interface `IntrospectionUtils.PropertySource`
    Parameters:
      `key` - The property key
    Returns:
      the property value, or `null` if not found